
function [signed_area] = tri_2d_calc_signed_area(t, data)
v_i = [data(t(1),:) - data(t(2),:); data(t(3),:) - data(t(2),:)];
v_i = [v_i, zeros(2, 1)]';
n_v = cross(v_i(:,1), v_i(:,2));
signed_area = n_v(3)/2;
return;